.code32
.section .multiboot, "ax"
.align 4
multiboot_header:
    .long 0x1BADB002            # magic
    .long 0x00                  # flags
    .long -(0x1BADB002 + 0x00)  # checksum

.section .text
.global _start
_start:
    # We start in 32-bit mode
    cli
    
    # Set up a simple stack
    movl $stack_top, %esp
    
    # Write 'OK' to VGA buffer
    movl $0xb8000, %edi
    movb $'O', (%edi)
    movb $0x0f, 1(%edi)
    movb $'K', 2(%edi) 
    movb $0x0f, 3(%edi)
    
    # Halt
hang:
    hlt
    jmp hang

.section .bss
.align 16
stack_bottom:
.space 4096
stack_top: